Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class LoggingSession

    java.lang.Object
      org.jbpm.db.LoggingSession

    public class LoggingSession

extends java.lang.Object

Constructor Summary
`LoggingSession(JbpmSession jbpmSession)`
`LoggingSession(org.hibernate.Session session)`

Method Summary
`java.util.Map` | `findLogsByProcessInstance(long processInstanceId)` returns a map that maps `Token`s to `List`s.
`java.util.List` | `findLogsByToken(long tokenId)` collects the logs for a given token, ordered by creation time.
`ProcessLog` | `getProcessLog(long processLogId)` get the process log for a given id.
`ProcessLog` | `loadProcessLog(long processLogId)` load the process log for a given id.
`void` | `saveProcessLog(ProcessLog processLog)` saves the given process log to the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingSession

    public LoggingSession(JbpmSession jbpmSession)

### LoggingSession

    public LoggingSession(org.hibernate.Session session)

Method Detail

### findLogsByProcessInstance

    public java.util.Map findLogsByProcessInstance(long processInstanceId)

  returns a map that maps `Token`s to `List`s. The lists contain the ordered logs for the given token. The lists are retrieved with `findLogsByToken(long)`.

### findLogsByToken

    public java.util.List findLogsByToken(long tokenId)

  collects the logs for a given token, ordered by creation time.

### saveProcessLog

    public void saveProcessLog(ProcessLog processLog)

  saves the given process log to the database.

### loadProcessLog

    public ProcessLog loadProcessLog(long processLogId)

  load the process log for a given id.

### getProcessLog

    public ProcessLog getProcessLog(long processLogId)

  get the process log for a given id.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD